# Generated by Django 2.0.5 on 2020-11-11 11:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0089_auto_20200904_0956'),
        ('document', '0046_auto_20201020_1602'),
    ]

    operations = [
        migrations.CreateModel(
            name='IngramAPISetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('client_id', models.CharField(max_length=100)),
                ('client_secret', models.CharField(max_length=100)),
                ('ingram_customer_id', models.CharField(max_length=100)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='ingram_api_settings', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
